<?php
$heacool_options = heacool_options();

$heacool_footer_end = isset( $heacool_options['heacool_footer_end'] ) ? $heacool_options['heacool_footer_end'] : 0;
$heacool_copyright  = isset( $heacool_options['heacool-copyright'] ) ? $heacool_options['heacool-copyright'] : 1;
$copyright_text     = isset( $heacool_options['heacool-copyright-text'] ) ? $heacool_options['heacool-copyright-text'] : '';

$heacool_footer_end_0 = 'main-foote-em';
$heacool_footer_end_1 = 'col-md-4';
$heacool_footer_end_2 = 'col-md-4';
$heacool_footer_end_3 = 'col-md-4';
if ( $heacool_footer_end == 1 ) :
	$heacool_footer_end_0 = '';
	$heacool_footer_end_1 = 'col-lg-3 col-md-4 col-sm-12';
	$heacool_footer_end_2 = 'col-lg-4 col-md-4 col-sm-6';
	$heacool_footer_end_3 = 'col-lg-5 col-md-4 col-sm-6';
endif;

if ( is_active_sidebar( 'footer_col_1' ) || is_active_sidebar( 'footer_col_2' ) || is_active_sidebar( 'footer_col_3' ) || is_active_sidebar( 'footer_col_4' ) ) { ?>
<footer class="<?php echo esc_attr( $heacool_footer_end_0 ); ?>">
	<div class="container">
		<div class="footer-content">
			<div class="row">
				<?php
				if ( is_active_sidebar( 'footer_col_1' ) ) {
					?>
					<div class="<?php echo esc_attr( $heacool_footer_end_1 ); ?>">
					<?php dynamic_sidebar( 'footer_col_1' ); ?>
					</div>
				<?php } ?>

				<?php if ( is_active_sidebar( 'footer_col_2' ) ) { ?>
					<div class="<?php echo esc_attr( $heacool_footer_end_2 ); ?>">
					<?php dynamic_sidebar( 'footer_col_2' ); ?>
					</div>
					<?php
				}
				?>
				<?php if ( is_active_sidebar( 'footer_col_3' ) ) { ?>
					<div class="<?php echo esc_attr( $heacool_footer_end_3 ); ?>">
						<div class="our_map">
							<div class="mapouter">
								<?php dynamic_sidebar( 'footer_col_3' ); ?>
							</div>
						</div>
					</div>
					<?php
				}
				?>
				<?php if ( is_active_sidebar( 'footer_col_4' ) ) { ?>
					<div class="<?php echo esc_attr( $heacool_footer_end_3 ); ?>">
						<div class="our_map">
							<div class="mapouter">
								<?php dynamic_sidebar( 'footer_col_4' ); ?>
							</div>
						</div>
					</div>
					<?php
				}
				?>
			</div>
		</div><!--footer-content end-->
	</div>
</footer><!--footer end-->
	<?php
}

if ( $heacool_copyright ) {
	?>
<footer class="no_redux">
	<div class="container">
		<div class="footer-content">
			<div class="row">
				<div class="col-12">
					<div class="widget widget-about">
					<p>
					<?php
					if ( $copyright_text != '' ) :
						echo heacool_kses_custom( $copyright_text );
						else :
							echo heacool_kses_custom( '<span>2020 ©</span> Heating &amp; Cooling. All rights reserved.' );
						endif;
						?>
					</p>
					</div>
				</div>
			</div>
		</div><!--footer-content end-->
	</div>
</footer><!--footer end-->
	<?php
}
if ( isset( $heacool_options['heacool-scroll-to-top'] ) && $heacool_options['heacool-scroll-to-top'] ) {
	?>
	<a href="<?php echo esc_url( '#' ); ?>" class="scrollTop"><i class="fa fa-long-arrow-up"></i></a>
<?php } ?>
<div class="popup_form appint_form">
	<div class="appointment_form">
		<div class="apt_form_head">
			<h3><?php echo esc_html__( 'Appointment', 'heacool' ); ?></h3>
			<a href="<?php echo esc_url( '#' ); ?>" class="close_apt_form"><img src="<?php echo esc_url( HEACOOL_IMG_URL ); ?>/close.png" alt="<?php esc_attr_e( 'close', 'heacool' ); ?>"></a>
		</div><!--apt_form_head end-->
	 <?php
		if ( ! empty( $heacool_options['heacool-appointment'] ) ) {
			echo do_shortcode( '[contact-form-7 id="' . $heacool_options['heacool-appointment'] . '"]' );
		}
		?>
	</div>
</div><!--popup_form end-->
<div class="popup_form contact_popup">
	<div class="appointment_form">
		<div class="apt_form_head">
			<h3><?php echo esc_html__( 'Contact Us', 'heacool' ); ?></h3>
			<a href="<?php echo esc_url( '#' ); ?>" class="close_apt_form"><img src="<?php echo esc_url( HEACOOL_IMG_URL ); ?>/close.png" alt="<?php echo esc_attr( 'close', 'heacool' ); ?>"></a>
		</div><!--apt_form_head end-->
		<?php
		if ( ! empty( $heacool_options['heacool-contact-us'] ) ) {
			echo do_shortcode( '[contact-form-7 id="' . $heacool_options['heacool-contact-us'] . '"]' );
		}
		?>
	</div>
</div><!--popup_form end-->
<div class="popup_form direction_form">
	<div class="appointment_form">
		<div class="apt_form_head">
			<h3><?php echo esc_html__( 'Get Directions', 'heacool' ); ?></h3>
			<a href="<?php echo esc_url( '#' ); ?>" class="close_apt_form"><img src="<?php echo esc_url( HEACOOL_IMG_URL ); ?>/close.png" alt="<?php echo esc_attr( 'close', 'heacool' ); ?>"></a>
		</div><!--apt_form_head end-->
		<div class="direction_map">
			<div class="mapouter">
			<?php
			if ( ! empty( $heacool_options['heacool-embed-map'] ) ) {
				echo do_shortcode( $heacool_options['heacool-embed-map'] );
			} else {
				$image_map = $heacool_options['heacool-image-map']['url'];
				?>
				<img src="<?php echo esc_url( $image_map ); ?>" alt="<?php esc_attr_e( 'map image', 'heacool' ); ?>"/>
		<?php } ?>
			</div>
			<form class="address_list">
				<ul>
				<?php if ( ! empty( $heacool_options['heacool-contact-info-1'] ) ) { ?>
					<li>
						<span class="mapp_icon">
							<svg version="1.1" id="Capa_37892" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="20px" height="22px" viewBox="0 0 97.713 97.713" xml:space="preserve">
							<g>
							<path d="M48.855,0C29.021,0,12.883,16.138,12.883,35.974c0,5.174,1.059,10.114,3.146,14.684
								  c8.994,19.681,26.238,40.46,31.31,46.359c0.38,0.441,0.934,0.695,1.517,0.695s1.137-0.254,1.517-0.695
								  c5.07-5.898,22.314-26.676,31.311-46.359c2.088-4.57,3.146-9.51,3.146-14.684C84.828,16.138,68.69,0,48.855,0z M48.855,54.659
								  c-10.303,0-18.686-8.383-18.686-18.686c0-10.304,8.383-18.687,18.686-18.687s18.686,8.383,18.686,18.687
								  C67.542,46.276,59.159,54.659,48.855,54.659z">
							</path>
							</g>
							</svg>
						</span>
						<div class="adv_info">
						  <?php
								echo wp_kses_post( $heacool_options['heacool-contact-info-1'] );
							?>
						</div><!--adv_info end-->
					</li>
					<?php }if ( ! empty( $heacool_options['heacool-contact-info-2'] ) ) { ?>
					<li>
						<span class="mapp_icon">
							<svg version="1.1" id="Capa_384544" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="20px" height="22px" viewBox="0 0 97.713 97.713" xml:space="preserve">
							<g>
							<path d="M48.855,0C29.021,0,12.883,16.138,12.883,35.974c0,5.174,1.059,10.114,3.146,14.684
								  c8.994,19.681,26.238,40.46,31.31,46.359c0.38,0.441,0.934,0.695,1.517,0.695s1.137-0.254,1.517-0.695
								  c5.07-5.898,22.314-26.676,31.311-46.359c2.088-4.57,3.146-9.51,3.146-14.684C84.828,16.138,68.69,0,48.855,0z M48.855,54.659
								  c-10.303,0-18.686-8.383-18.686-18.686c0-10.304,8.383-18.687,18.686-18.687s18.686,8.383,18.686,18.687
								  C67.542,46.276,59.159,54.659,48.855,54.659z">
							</path>
							</g>
							</svg>
						</span>
						<div class="adv_info">
							<?php
								echo wp_kses_post( $heacool_options['heacool-contact-info-2'] );
							?>
						</div><!--adv_info end-->
					</li>
					<?php }if ( ! empty( $heacool_options['heacool-contact-info-3'] ) ) { ?>
					<li>
						<span class="mapp_icon">
							<svg version="1.1" id="Capa_3" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="20px" height="22px" viewBox="0 0 97.713 97.713" xml:space="preserve">
							<g>
							<path d="M48.855,0C29.021,0,12.883,16.138,12.883,35.974c0,5.174,1.059,10.114,3.146,14.684
								  c8.994,19.681,26.238,40.46,31.31,46.359c0.38,0.441,0.934,0.695,1.517,0.695s1.137-0.254,1.517-0.695
								  c5.07-5.898,22.314-26.676,31.311-46.359c2.088-4.57,3.146-9.51,3.146-14.684C84.828,16.138,68.69,0,48.855,0z M48.855,54.659
								  c-10.303,0-18.686-8.383-18.686-18.686c0-10.304,8.383-18.687,18.686-18.687s18.686,8.383,18.686,18.687
								  C67.542,46.276,59.159,54.659,48.855,54.659z">
							</path>
							</g>
							</svg>
						</span>
						<div class="adv_info">
						   <?php
								echo wp_kses_post( $heacool_options['heacool-contact-info-3'] );
							?>
						</div>
					</li>
					<?php } ?>
				</ul>
			</form>
		</div>
	</div>
</div>
